> For the complete documentation index, see [llms.txt](https://gitbook-docs.coinmetrics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook-docs.coinmetrics.io/api-reference/atlas/blockchain-explorer-job/account-balances.md).

# Account balances

Creates asynchronous job for retrieving account balances data.\
Use the /jobs endpoint to poll job's status. The result file when downloaded will contain a newline-delimited JSON stream of BlockchainJobAccountBalance objects.

```json
{"openapi":"3.0.2","info":{"title":"Coin Metrics API v4","version":"4.0.0"},"tags":[{"name":"Blockchain Explorer Job","description":"Endpoints for creating async jobs for blockchain entities.\n\nSchema definitions of results of Blockchain Explorer Job endpoints.\n\n**Endpoints on this page:**\n- `PUT /blockchain-job/account-balances` — Account balances\n- `PUT /blockchain-job/balance-updates` — Balance updates\n- `PUT /blockchain-job/transactions` — Transactions"}],"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"wss://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"description":"Coin Metrics API key can be specified as `?api_key=` query parameter.","in":"query","name":"api_key","type":"apiKey"}},"schemas":{"BlockchainJobAccountBalancesRequest":{"properties":{"assets":{"$ref":"#/components/schemas/BlockchainJobAssets"},"accounts":{"$ref":"#/components/schemas/BlockchainJobAccounts"},"at_time":{"$ref":"#/components/schemas/BlockchainJobAtTime"},"at_slot":{"$ref":"#/components/schemas/BlockchainJobAtSlot"},"at_height":{"$ref":"#/components/schemas/BlockchainJobAtHeight"}},"required":["assets","accounts"]},"BlockchainJobAssets":{"description":"Comma separated list of assets, or wildcard (*) for all supported assets.","items":{"$ref":"#/components/schemas/AssetId"}},"AssetId":{"description":"Unique name of the asset.","type":"string"},"BlockchainJobAccounts":{"description":"Account ids. For ETH_CL, this can either be a validator public key or a validator index.","type":"array","items":{"$ref":"#/components/schemas/BlockchainJobAccount"}},"BlockchainJobAccount":{"description":"Account id. For ETH_CL, this can either be a validator public key or a validator index.","type":"string"},"BlockchainJobAtTime":{"description":"Indicates the point in time for which the set of account balances will be returned.<br/> Multiple formats of ISO 8601 are supported: `2006-01-20T00:00:00Z`, `2006-01-20T00:00:00.000Z`, `2006-01-20T00:00:00.123456Z`, `2006-01-20T00:00:00.123456789Z`, `2006-01-20`, `20060120`.<br/> UTC timezone by default. `Z` suffix is optional.<br/> Mutually exclusive with `at_height` and `at_slot`.<br/> Specifying either `at_time` or `at_height` / `at_slot` parameter is mandatory.<br/>","type":"string","format":"date-time"},"BlockchainJobAtSlot":{"description":"Indicates the slot for which the set of account balances will be returned.<br/> Mutually exclusive with `at_height` and `at_time`.<br/> Specifying either `at_slot` or `at_height` / `at_time` parameter is mandatory.<br/> Not compatible with requests containing more than one asset.<br/>","type":"integer","format":"int64"},"BlockchainJobAtHeight":{"description":"Indicates the block height for which the set of account balances will be returned.<br/> Mutually exclusive with `at_slot` and `at_time`.<br/> Specifying either `at_height` or `at_slot` / `at_time` parameter is mandatory.<br/> Not compatible with requests containing more than one asset.<br/>","type":"integer","format":"int64"},"CreatedJobDetailsResponse":{"properties":{"job_id":{"type":"string","description":"Job ID."},"job_url":{"type":"string","description":"Job URL."}},"required":["job_id","job_url"]},"ErrorResponse":{"properties":{"error":{"$ref":"#/components/schemas/ErrorObject"}},"required":["error"],"type":"object"},"ErrorObject":{"properties":{"type":{"description":"Error type string. Can be used for error identification.","type":"string"},"message":{"description":"Human-friendly error description. Can be amended without prior notification. Do not use for error identification in your code.","type":"string"}},"required":["type","description"],"type":"object"}},"responses":{"CreatedJobDetails":{"description":"Details of just created job.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatedJobDetailsResponse"}}}},"Unauthorized":{"description":"Requested resource requires authorization.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"BlockchainForbidden":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Requested resource is not available with supplied credentials."}}},"paths":{"/blockchain-job/account-balances":{"put":{"summary":"Account balances","description":"Creates asynchronous job for retrieving account balances data.<br/> Use the [/jobs](#operation/getJobById) endpoint to poll job's status. The result file when downloaded will contain a newline-delimited JSON stream of [BlockchainJobAccountBalance](#schema/BlockchainJobAccountBalance) objects.","operationId":"putBlockchainJobAccountBalances","tags":["Blockchain Explorer Job"],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/BlockchainJobAccountBalancesRequest"}}}},"responses":{"200":{"$ref":"#/components/responses/CreatedJobDetails"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/BlockchainForbidden"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://gitbook-docs.coinmetrics.io/api-reference/atlas/blockchain-explorer-job/account-balances.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
